org.sqlite

## Enum SQLiteErrorCode

- java.lang.Object
- - java.lang.Enum<SQLiteErrorCode>
  - - org.sqlite.SQLiteErrorCode

All Implemented Interfaces:
  Serializable, Comparable<SQLiteErrorCode>

    public enum SQLiteErrorCode
    extends Enum<SQLiteErrorCode>

SQLite3 error code

Author:
  leo
See Also:
  http://www.sqlite.org/c3ref/c_abort.html

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`SQLITE_ABORT`
`SQLITE_ABORT_ROLLBACK`
`SQLITE_AUTH`
`SQLITE_AUTH_USER`
`SQLITE_BUSY`
`SQLITE_BUSY_RECOVERY`
`SQLITE_BUSY_SNAPSHOT`
`SQLITE_BUSY_TIMEOUT`
`SQLITE_CANTOPEN`
`SQLITE_CANTOPEN_CONVPATH`
`SQLITE_CANTOPEN_DIRTYWAL`
`SQLITE_CANTOPEN_FULLPATH`
`SQLITE_CANTOPEN_ISDIR`
`SQLITE_CANTOPEN_NOTEMPDIR`
`SQLITE_CANTOPEN_SYMLINK`
`SQLITE_CONSTRAINT`
`SQLITE_CONSTRAINT_CHECK`
`SQLITE_CONSTRAINT_COMMITHOOK`
`SQLITE_CONSTRAINT_DATATYPE`
`SQLITE_CONSTRAINT_FOREIGNKEY`
`SQLITE_CONSTRAINT_FUNCTION`
`SQLITE_CONSTRAINT_NOTNULL`
`SQLITE_CONSTRAINT_PINNED`
`SQLITE_CONSTRAINT_PRIMARYKEY`
`SQLITE_CONSTRAINT_ROWID`
`SQLITE_CONSTRAINT_TRIGGER`
`SQLITE_CONSTRAINT_UNIQUE`
`SQLITE_CONSTRAINT_VTAB`
`SQLITE_CORRUPT`
`SQLITE_CORRUPT_INDEX`
`SQLITE_CORRUPT_SEQUENCE`
`SQLITE_CORRUPT_VTAB`
`SQLITE_DONE`
`SQLITE_EMPTY`
`SQLITE_ERROR`
`SQLITE_ERROR_MISSING_COLLSEQ`
`SQLITE_ERROR_RETRY`
`SQLITE_ERROR_SNAPSHOT`
`SQLITE_FORMAT`
`SQLITE_FULL`
`SQLITE_INTERNAL`
`SQLITE_INTERRUPT`
`SQLITE_IOERR`
`SQLITE_IOERR_ACCESS`
`SQLITE_IOERR_AUTH`
`SQLITE_IOERR_BEGIN_ATOMIC`
`SQLITE_IOERR_BLOCKED`
`SQLITE_IOERR_CHECKRESERVEDLOCK`
`SQLITE_IOERR_CLOSE`
`SQLITE_IOERR_COMMIT_ATOMIC`
`SQLITE_IOERR_CONVPATH`
`SQLITE_IOERR_CORRUPTFS`
`SQLITE_IOERR_DATA`
`SQLITE_IOERR_DELETE`
`SQLITE_IOERR_DELETE_NOENT`
`SQLITE_IOERR_DIR_CLOSE`
`SQLITE_IOERR_DIR_FSYNC`
`SQLITE_IOERR_FSTAT`
`SQLITE_IOERR_FSYNC`
`SQLITE_IOERR_GETTEMPPATH`
`SQLITE_IOERR_LOCK`
`SQLITE_IOERR_MMAP`
`SQLITE_IOERR_NOMEM`
`SQLITE_IOERR_RDLOCK`
`SQLITE_IOERR_READ`
`SQLITE_IOERR_ROLLBACK_ATOMIC`
`SQLITE_IOERR_SEEK`
`SQLITE_IOERR_SHMLOCK`
`SQLITE_IOERR_SHMMAP`
`SQLITE_IOERR_SHMOPEN`
`SQLITE_IOERR_SHMSIZE`
`SQLITE_IOERR_SHORT_READ`
`SQLITE_IOERR_TRUNCATE`
`SQLITE_IOERR_UNLOCK`
`SQLITE_IOERR_VNODE`
`SQLITE_IOERR_WRITE`
`SQLITE_LOCKED`
`SQLITE_LOCKED_SHAREDCACHE`
`SQLITE_LOCKED_VTAB`
`SQLITE_MISMATCH`
`SQLITE_MISUSE`
`SQLITE_NOLFS`
`SQLITE_NOMEM`
`SQLITE_NOTADB`
`SQLITE_NOTFOUND`
`SQLITE_NOTICE`
`SQLITE_NOTICE_RECOVER_ROLLBACK`
`SQLITE_NOTICE_RECOVER_WAL`
`SQLITE_OK`
`SQLITE_OK_LOAD_PERMANENTLY`
`SQLITE_PERM`
`SQLITE_PROTOCOL`
`SQLITE_RANGE`
`SQLITE_READONLY`
`SQLITE_READONLY_CANTINIT`
`SQLITE_READONLY_CANTLOCK`
`SQLITE_READONLY_DBMOVED`
`SQLITE_READONLY_DIRECTORY`
`SQLITE_READONLY_RECOVERY`
`SQLITE_READONLY_ROLLBACK`
`SQLITE_ROW`
`SQLITE_SCHEMA`
`SQLITE_TOOBIG`
`SQLITE_WARNING`
`SQLITE_WARNING_AUTOINDEX`
`UNKNOWN_ERROR`

### Field Summary

Fields
`int` `code`
`String` `message`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static SQLiteErrorCode` `getErrorCode(int errorCode)`
`String` `toString()`
`static SQLiteErrorCode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SQLiteErrorCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNKNOWN_ERROR

    public static final SQLiteErrorCode UNKNOWN_ERROR

#### SQLITE_OK

    public static final SQLiteErrorCode SQLITE_OK

#### SQLITE_ERROR

    public static final SQLiteErrorCode SQLITE_ERROR

#### SQLITE_INTERNAL

    public static final SQLiteErrorCode SQLITE_INTERNAL

#### SQLITE_PERM

    public static final SQLiteErrorCode SQLITE_PERM

#### SQLITE_ABORT

    public static final SQLiteErrorCode SQLITE_ABORT

#### SQLITE_BUSY

    public static final SQLiteErrorCode SQLITE_BUSY

#### SQLITE_LOCKED

    public static final SQLiteErrorCode SQLITE_LOCKED

#### SQLITE_NOMEM

    public static final SQLiteErrorCode SQLITE_NOMEM

#### SQLITE_READONLY

    public static final SQLiteErrorCode SQLITE_READONLY

#### SQLITE_INTERRUPT

    public static final SQLiteErrorCode SQLITE_INTERRUPT

#### SQLITE_IOERR

    public static final SQLiteErrorCode SQLITE_IOERR

#### SQLITE_CORRUPT

    public static final SQLiteErrorCode SQLITE_CORRUPT

#### SQLITE_NOTFOUND

    public static final SQLiteErrorCode SQLITE_NOTFOUND

#### SQLITE_FULL

    public static final SQLiteErrorCode SQLITE_FULL

#### SQLITE_CANTOPEN

    public static final SQLiteErrorCode SQLITE_CANTOPEN

#### SQLITE_PROTOCOL

    public static final SQLiteErrorCode SQLITE_PROTOCOL

#### SQLITE_EMPTY

    public static final SQLiteErrorCode SQLITE_EMPTY

#### SQLITE_SCHEMA

    public static final SQLiteErrorCode SQLITE_SCHEMA

#### SQLITE_TOOBIG

    public static final SQLiteErrorCode SQLITE_TOOBIG

#### SQLITE_CONSTRAINT

    public static final SQLiteErrorCode SQLITE_CONSTRAINT

#### SQLITE_MISMATCH

    public static final SQLiteErrorCode SQLITE_MISMATCH

#### SQLITE_MISUSE

    public static final SQLiteErrorCode SQLITE_MISUSE

#### SQLITE_NOLFS

    public static final SQLiteErrorCode SQLITE_NOLFS

#### SQLITE_AUTH

    public static final SQLiteErrorCode SQLITE_AUTH

#### SQLITE_FORMAT

    public static final SQLiteErrorCode SQLITE_FORMAT

#### SQLITE_RANGE

    public static final SQLiteErrorCode SQLITE_RANGE

#### SQLITE_NOTADB

    public static final SQLiteErrorCode SQLITE_NOTADB

#### SQLITE_NOTICE

    public static final SQLiteErrorCode SQLITE_NOTICE

#### SQLITE_WARNING

    public static final SQLiteErrorCode SQLITE_WARNING

#### SQLITE_ROW

    public static final SQLiteErrorCode SQLITE_ROW

#### SQLITE_DONE

    public static final SQLiteErrorCode SQLITE_DONE

#### SQLITE_ABORT_ROLLBACK

    public static final SQLiteErrorCode SQLITE_ABORT_ROLLBACK

#### SQLITE_AUTH_USER

    public static final SQLiteErrorCode SQLITE_AUTH_USER

#### SQLITE_BUSY_RECOVERY

    public static final SQLiteErrorCode SQLITE_BUSY_RECOVERY

#### SQLITE_BUSY_SNAPSHOT

    public static final SQLiteErrorCode SQLITE_BUSY_SNAPSHOT

#### SQLITE_BUSY_TIMEOUT

    public static final SQLiteErrorCode SQLITE_BUSY_TIMEOUT

#### SQLITE_CANTOPEN_CONVPATH

    public static final SQLiteErrorCode SQLITE_CANTOPEN_CONVPATH

#### SQLITE_CANTOPEN_DIRTYWAL

    public static final SQLiteErrorCode SQLITE_CANTOPEN_DIRTYWAL

#### SQLITE_CANTOPEN_FULLPATH

    public static final SQLiteErrorCode SQLITE_CANTOPEN_FULLPATH

#### SQLITE_CANTOPEN_ISDIR

    public static final SQLiteErrorCode SQLITE_CANTOPEN_ISDIR

#### SQLITE_CANTOPEN_NOTEMPDIR

    public static final SQLiteErrorCode SQLITE_CANTOPEN_NOTEMPDIR

#### SQLITE_CANTOPEN_SYMLINK

    public static final SQLiteErrorCode SQLITE_CANTOPEN_SYMLINK

#### SQLITE_CONSTRAINT_CHECK

    public static final SQLiteErrorCode SQLITE_CONSTRAINT_CHECK

#### SQLITE_CONSTRAINT_COMMITHOOK

    public static final SQLiteErrorCode SQLITE_CONSTRAINT_COMMITHOOK

#### SQLITE_CONSTRAINT_DATATYPE

    public static final SQLiteErrorCode SQLITE_CONSTRAINT_DATATYPE

#### SQLITE_CONSTRAINT_FOREIGNKEY

    public static final SQLiteErrorCode SQLITE_CONSTRAINT_FOREIGNKEY

#### SQLITE_CONSTRAINT_FUNCTION

    public static final SQLiteErrorCode SQLITE_CONSTRAINT_FUNCTION

#### SQLITE_CONSTRAINT_NOTNULL

    public static final SQLiteErrorCode SQLITE_CONSTRAINT_NOTNULL

#### SQLITE_CONSTRAINT_PINNED

    public static final SQLiteErrorCode SQLITE_CONSTRAINT_PINNED

#### SQLITE_CONSTRAINT_PRIMARYKEY

    public static final SQLiteErrorCode SQLITE_CONSTRAINT_PRIMARYKEY

#### SQLITE_CONSTRAINT_ROWID

    public static final SQLiteErrorCode SQLITE_CONSTRAINT_ROWID

#### SQLITE_CONSTRAINT_TRIGGER

    public static final SQLiteErrorCode SQLITE_CONSTRAINT_TRIGGER

#### SQLITE_CONSTRAINT_UNIQUE

    public static final SQLiteErrorCode SQLITE_CONSTRAINT_UNIQUE

#### SQLITE_CONSTRAINT_VTAB

    public static final SQLiteErrorCode SQLITE_CONSTRAINT_VTAB

#### SQLITE_CORRUPT_INDEX

    public static final SQLiteErrorCode SQLITE_CORRUPT_INDEX

#### SQLITE_CORRUPT_SEQUENCE

    public static final SQLiteErrorCode SQLITE_CORRUPT_SEQUENCE

#### SQLITE_CORRUPT_VTAB

    public static final SQLiteErrorCode SQLITE_CORRUPT_VTAB

#### SQLITE_ERROR_MISSING_COLLSEQ

    public static final SQLiteErrorCode SQLITE_ERROR_MISSING_COLLSEQ

#### SQLITE_ERROR_RETRY

    public static final SQLiteErrorCode SQLITE_ERROR_RETRY

#### SQLITE_ERROR_SNAPSHOT

    public static final SQLiteErrorCode SQLITE_ERROR_SNAPSHOT

#### SQLITE_IOERR_ACCESS

    public static final SQLiteErrorCode SQLITE_IOERR_ACCESS

#### SQLITE_IOERR_AUTH

    public static final SQLiteErrorCode SQLITE_IOERR_AUTH

#### SQLITE_IOERR_BEGIN_ATOMIC

    public static final SQLiteErrorCode SQLITE_IOERR_BEGIN_ATOMIC

#### SQLITE_IOERR_BLOCKED

    public static final SQLiteErrorCode SQLITE_IOERR_BLOCKED

#### SQLITE_IOERR_CHECKRESERVEDLOCK

    public static final SQLiteErrorCode SQLITE_IOERR_CHECKRESERVEDLOCK

#### SQLITE_IOERR_CLOSE

    public static final SQLiteErrorCode SQLITE_IOERR_CLOSE

#### SQLITE_IOERR_COMMIT_ATOMIC

    public static final SQLiteErrorCode SQLITE_IOERR_COMMIT_ATOMIC

#### SQLITE_IOERR_CONVPATH

    public static final SQLiteErrorCode SQLITE_IOERR_CONVPATH

#### SQLITE_IOERR_CORRUPTFS

    public static final SQLiteErrorCode SQLITE_IOERR_CORRUPTFS

#### SQLITE_IOERR_DATA

    public static final SQLiteErrorCode SQLITE_IOERR_DATA

#### SQLITE_IOERR_DELETE

    public static final SQLiteErrorCode SQLITE_IOERR_DELETE

#### SQLITE_IOERR_DELETE_NOENT

    public static final SQLiteErrorCode SQLITE_IOERR_DELETE_NOENT

#### SQLITE_IOERR_DIR_CLOSE

    public static final SQLiteErrorCode SQLITE_IOERR_DIR_CLOSE

#### SQLITE_IOERR_DIR_FSYNC

    public static final SQLiteErrorCode SQLITE_IOERR_DIR_FSYNC

#### SQLITE_IOERR_FSTAT

    public static final SQLiteErrorCode SQLITE_IOERR_FSTAT

#### SQLITE_IOERR_FSYNC

    public static final SQLiteErrorCode SQLITE_IOERR_FSYNC

#### SQLITE_IOERR_GETTEMPPATH

    public static final SQLiteErrorCode SQLITE_IOERR_GETTEMPPATH

#### SQLITE_IOERR_LOCK

    public static final SQLiteErrorCode SQLITE_IOERR_LOCK

#### SQLITE_IOERR_MMAP

    public static final SQLiteErrorCode SQLITE_IOERR_MMAP

#### SQLITE_IOERR_NOMEM

    public static final SQLiteErrorCode SQLITE_IOERR_NOMEM

#### SQLITE_IOERR_RDLOCK

    public static final SQLiteErrorCode SQLITE_IOERR_RDLOCK

#### SQLITE_IOERR_READ

    public static final SQLiteErrorCode SQLITE_IOERR_READ

#### SQLITE_IOERR_ROLLBACK_ATOMIC

    public static final SQLiteErrorCode SQLITE_IOERR_ROLLBACK_ATOMIC

#### SQLITE_IOERR_SEEK

    public static final SQLiteErrorCode SQLITE_IOERR_SEEK

#### SQLITE_IOERR_SHMLOCK

    public static final SQLiteErrorCode SQLITE_IOERR_SHMLOCK

#### SQLITE_IOERR_SHMMAP

    public static final SQLiteErrorCode SQLITE_IOERR_SHMMAP

#### SQLITE_IOERR_SHMOPEN

    public static final SQLiteErrorCode SQLITE_IOERR_SHMOPEN

#### SQLITE_IOERR_SHMSIZE

    public static final SQLiteErrorCode SQLITE_IOERR_SHMSIZE

#### SQLITE_IOERR_SHORT_READ

    public static final SQLiteErrorCode SQLITE_IOERR_SHORT_READ

#### SQLITE_IOERR_TRUNCATE

    public static final SQLiteErrorCode SQLITE_IOERR_TRUNCATE

#### SQLITE_IOERR_UNLOCK

    public static final SQLiteErrorCode SQLITE_IOERR_UNLOCK

#### SQLITE_IOERR_VNODE

    public static final SQLiteErrorCode SQLITE_IOERR_VNODE

#### SQLITE_IOERR_WRITE

    public static final SQLiteErrorCode SQLITE_IOERR_WRITE

#### SQLITE_LOCKED_SHAREDCACHE

    public static final SQLiteErrorCode SQLITE_LOCKED_SHAREDCACHE

#### SQLITE_LOCKED_VTAB

    public static final SQLiteErrorCode SQLITE_LOCKED_VTAB

#### SQLITE_NOTICE_RECOVER_ROLLBACK

    public static final SQLiteErrorCode SQLITE_NOTICE_RECOVER_ROLLBACK

#### SQLITE_NOTICE_RECOVER_WAL

    public static final SQLiteErrorCode SQLITE_NOTICE_RECOVER_WAL

#### SQLITE_OK_LOAD_PERMANENTLY

    public static final SQLiteErrorCode SQLITE_OK_LOAD_PERMANENTLY

#### SQLITE_READONLY_CANTINIT

    public static final SQLiteErrorCode SQLITE_READONLY_CANTINIT

#### SQLITE_READONLY_CANTLOCK

    public static final SQLiteErrorCode SQLITE_READONLY_CANTLOCK

#### SQLITE_READONLY_DBMOVED

    public static final SQLiteErrorCode SQLITE_READONLY_DBMOVED

#### SQLITE_READONLY_DIRECTORY

    public static final SQLiteErrorCode SQLITE_READONLY_DIRECTORY

#### SQLITE_READONLY_RECOVERY

    public static final SQLiteErrorCode SQLITE_READONLY_RECOVERY

#### SQLITE_READONLY_ROLLBACK

    public static final SQLiteErrorCode SQLITE_READONLY_ROLLBACK

#### SQLITE_WARNING_AUTOINDEX

    public static final SQLiteErrorCode SQLITE_WARNING_AUTOINDEX

### Field Detail

#### code

    public final int code

#### message

    public final String message

### Method Detail

#### values

    public static SQLiteErrorCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SQLiteErrorCode c : SQLiteErrorCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SQLiteErrorCode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getErrorCode

    public static SQLiteErrorCode getErrorCode(int errorCode)

Parameters:
  `errorCode` - Error code.
Returns:
  Error message.

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<SQLiteErrorCode>`
See Also:
  `Enum.toString()`